Package csb :: Package apps :: Module hhfrag :: Class SliceContext

[frames] | no frames]

# Class SliceContext

source code

          object --+
                   |
    hhsearch.Context --+
                       |
                      SliceContext

Instance Methods

__init__(self, segment, start, end) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__lt__(self, other) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| hits
| length
| recurrence
Inherited from `hhsearch.Context`: `query`, `result` Inherited from `object`: `__class__`

Method Details

### __init__(self, segment, start, end)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### hits

Get Method:
  unreachable.hits(self)

### length

Get Method:
  unreachable.length(self)

### recurrence

Get Method:
  unreachable.recurrence(self)